[Bug java/10581] ICE compiling freenet

ruben at ugr dot es gcc-bugzilla@gcc.gnu.org
Thu Nov 4 11:55:00 GMT 2004


------- Additional Comments From ruben at ugr dot es  2004-11-04 11:55 -------
(In reply to comment #6)
> (In reply to comment #5)
> > Somebody will have to check with mainline and newer 3.4 then
> Tested with freenet-stable-latest.src.25.Oct.2004.tar.bz2
> and gcc version 3.4.2  (Gentoo Linux 3.4.2-r2, ssp-3.4.1-1, pie-8.7.6.5)
> make -f Makefile.gcj freenet/client/RequestManager.o
> Works
> 
> Other files fail, though
> I'd close this bug report and add a new one, but I think I already opened
> one on ThrottledAsyncEntropyYarrow.java
> 
> Compiling: freenet/node/Main.java
> ./freenet/crypt/ThrottledAsyncEntropyYarrow.java:49: error: '(' expected.
>                                                
> ThrottledAsyncEntropyYarrow.super.acceptEntropy(e.source, e.data, e.entropyGuess);
>          ^
> 1 error
> make: *** [freenet/node/Main.o] Error 1

I just copied the two files from the old version over the new files and
recompiled, and got the same problem in ThrottledAsyncEntropyYarrow.



-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=10581



More information about the Java-prs mailing list